Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I want to enable compression in apache. For the same I am trying to use deflate module of apache.

I have already installed apache 2. But it is a default installation and in that mod_deflate is not enable. Now I am compiling mod_deflate module by using following commands:

cd /usr/local/src/httpd-2.2.21/modules/filters/
/usr/local/apache/bin/apxs -i -c -Wl,lz mod_deflate.c

After doing it I have added following line in my httpd.conf file

LoadModule deflate_module modules/mod_deflate.so

but as soon as i do syntax check I am getting following error httpd: Syntax error on line 417 of /usr/local/apache/conf/httpd.conf: Cannot load /usr/local/apache/modules/mod_deflate.so into server: /usr/local/apache/modules/mod_deflate.so: undefined symbol: inflate

Following is the output of ldd command

linux-gate.so.1 =>  (0x00b2d000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0x00110000)
/lib/ld-linux.so.2 (0x008e6000)

Please help as i dont want to compile apache again.

share|improve this question
    
Problem has been solved by adding LDFLAGS="-lz" in apr-1-config file. –  Vidyadhar Jan 14 '12 at 11:26
1  
Can you add your comment as an answer? –  Jorge Castro Jan 16 '12 at 17:58
add comment

1 Answer

Problem has been solved by adding LDFLAGS="-lz" in apr-1-config file.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.